MKFS.MINIX(8)

NAMN
mkfs.minix - skapa ett Minix-filsystem

SYNOPSIS

mkfs.minix [flaggor] enhet [storlek-i-block]

BESKRIVNING

mkfs.minix skapar ett Linux MINIX-filsystem på en enhet (vanligtvis en diskpartition).

Den enhet är vanligtvis av följande form:

    /dev/hda[1-8] (IDE-disk 1)
    /dev/hdb[1-8] (IDE-disk 2)
    /dev/sda[1-8] (SCSI-disk 1)
    /dev/sdb[1-8] (SCSI-disk 2)

Enheten kan vara en blockenhet eller en bildfil av en sådan, men detta är inte obligatoriskt. Förvänta dig inte mycket kul på en teckenenhet :-).

Parametern size-in-blocks är den önskade storleken på filsystemet, i block. Den finns endast med för bakåtkompatibilitet. Om den utelämnas kommer storleken att bestämmas automatiskt. Endast blockantal som är strikt större än 10 och strikt mindre än 65536 är tillåtna.

FLAGGOR

-c, --check
    Kontrollera enheten efter dåliga block innan filsystemet skapas. Om några hittas skrivs antalet ut.

-n, --namelength längd
    Ange den maximala längden på filnamn. För närvarande är de enda tillåtna värdena 14 och 30 för filsystemversionerna 1 och 2. Version 3 tillåter endast värdet 60. Standardvärdet är 30.

--lock[=läge]
    Use an exclusive BSD lock for the device or file that is operated upon. The optional argument mode can be yes (1), no (0), or nonblock. If the mode argument is omitted, it defaults to yes. This option overrides the environment variable $LOCK_BLOCK_DEVICE. The default is to not use any lock at all, but using a lock is recommended to avoid collisions with systemd-udevd(8) or other tools.

-i, --inodes nummer
    Ange antalet inoder för filsystemet.

-l, --badblocks filename
    Läs listan över dåliga block från filnamn. Filen har ett nummer för felaktiga block per rad. Antalet lästa dåliga block skrivs ut.

-1
    Skapa ett Minix version 1 filsystem. Detta är standardinställningen.

-2, -v
    Skapa ett Minix version 2 filsystem.

-3
    Skapa ett Minix version 3 filsystem.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta. Det långa tillvalet kan inte kombineras med andra tillval.

MILJÖ

LOCK_BLOCK_DEVICE=<mode>
    använd exklusivt BSD-lås. Läget är "1" eller "0". Se --lock för mer information.

AVSLUTSSTATUS

Avslutningsstatusen som returneras av mkfs.minix är en av följande:

0
    Inga fel

8
    Operativt fel

16
    Användnings- eller syntaxfel

SE ÄVEN

fsck(8), mkfs(8), reboot(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot mkfs.minix ingår i paketet util-linux som kan hämtas från